Package io.dapr.client.domain

# Class UnsubscribeConfigurationResponse

java.lang.Object
io.dapr.client.domain.UnsubscribeConfigurationResponse

public class UnsubscribeConfigurationResponse extends Object
Domain object for unsubscribe response.

## Constructor Summary

Constructors
Constructor
Description
`UnsubscribeConfigurationResponse(boolean isUnsubscribed, String message)`
Constructor for UnsubscribeConfigurationResponse.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getIsUnsubscribed()`
`String`
`getMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnsubscribeConfigurationResponse

public UnsubscribeConfigurationResponse(boolean isUnsubscribed, String message)
Constructor for UnsubscribeConfigurationResponse.

Parameters:
  `isUnsubscribed` - boolean denoting unsubscribe API response.
  `message` - unsubscribe API response message.

## Method Details

### getIsUnsubscribed

public boolean getIsUnsubscribed()

### getMessage

public String getMessage()